メインコンテンツへスキップ
POST
Update Finding Statuses

承認

Authorization
string
header
必須

API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.

ボディ

application/json
finding_ids
string<uuid>[]
必須
Required array length: 1 - 50 elements
status
enum<string>
必須
利用可能なオプション:
ACTIVE,
RESOLVED,
ARCHIVED
resolve_reason
enum<string> | null

Resolution reason. FALSE_POSITIVE is only valid when status is ARCHIVED and requires resolve_context.

利用可能なオプション:
FIX,
WONT_FIX,
FALSE_POSITIVE,
null
resolve_context
string | null

Optional resolution context. Required when archiving a FALSE_POSITIVE.

Maximum string length: 2000

レスポンス

Successful response

affected_count
integer
必須
operation
string
必須
Allowed value: "status_update"
message
string
必須